Bug 742836 - Setting multifunction=on breaks SPICE/QXL multihead support in Windows
Setting multifunction=on breaks SPICE/QXL multihead support in Windows
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Laine Stump
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-02 23:44 EDT by Laine Stump
Modified: 2011-10-09 15:50 EDT (History)
9 users (show)

See Also:
Fixed In Version: libvirt-0.9.6-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-09 15:50:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Laine Stump 2011-10-02 23:44:32 EDT
Description of problem:
Since libvirt started adding multifunction=on to PCI devices, SPICE/QXL multihead support in Windows no longer works.

Version-Release number of selected component (if applicable):

libvirt-0.9.3-1.el6

Steps to Reproduce:
1. Create a Windows XP guest with SPICE graphics + QXL display adapter
2. Install QXL graphics device driver in Windows
3. Stop the guest
4. Add a second <video> element to the guest for QXL display adapter
5. Start the guest again
6. Configure the QXL device driver for the second display

Actual results:
Windows fails to start the QXL device driver with an error 'Code 10'

Expected results:
The second device is initialized.

---

In response to a suggestion by Dan Berrange on libvir-list:

  https://www.redhat.com/archives/libvir-list/2011-September/msg01036.html

I pushed the following patch to upstream libvirt, which removes the automatic setting of the multifunction bit, in favor of an XML attribute to turn it on as desired:

commit c329db7180d77c8077b9f9cd167a71d7f347227a
Author: Laine Stump <laine@laine.org>
Date:   Thu Sep 29 13:00:32 2011 -0400

    qemu: make PCI multifunction support more manual
    
This allows exact control of when the multifunction bit should be turned on/off for each slot/function on the guest's PCI bus, eliminating the issue with the QXL driver's (and possibly/probably other drivers') lack of multifunction support.
Comment 1 Fedora Update System 2011-10-03 12:06:55 EDT
libvirt-0.9.6-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libvirt-0.9.6-2.fc16
Comment 2 Fedora Update System 2011-10-03 13:45:17 EDT
Package libvirt-0.9.6-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-0.9.6-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/libvirt-0.9.6-2.fc16
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-10-09 15:50:53 EDT
libvirt-0.9.6-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.